<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

use Migrations\AbstractMigration;

/**
 * Class CustomalertRules
 *
 * Created via:
 * oitc migrations create -p CustomalertModule CustomalertRules
 *
 * Run migration:
 * oitc migrations migrate -p CustomalertModule
 *
 */
class CustomalertRules extends AbstractMigration {

    public $autoId = false;

    public function change(): void {
        if (!$this->hasTable('customalert_rules')) {
            $this->table('customalert_rules')
                ->addColumn('id', 'integer', [
                    'autoIncrement' => true,
                    'default'       => null,
                    'limit'         => 11,
                    'null'          => false,
                ])
                ->addPrimaryKey(['id'])
                ->addColumn('container_id', 'integer', [
                    'limit' => 11,
                    'null'  => false,
                ])
                ->addColumn('name', 'string', [
                    'limit' => 200,
                    'null'  => false,
                ])
                ->addColumn('description', 'string', [
                    'default' => null,
                    'limit'   => 255,
                    'null'    => true,
                ])
                ->addColumn('host_keywords', 'string', [
                    'limit' => 255,
                    'null'  => false,
                ])
                ->addColumn('host_not_keywords', 'string', [
                    'default' => null,
                    'limit'   => 255,
                    'null'    => true,
                ])
                ->addColumn('service_keywords', 'string', [
                    'default' => null,
                    'limit'   => 255,
                    'null'    => true,
                ])
                ->addColumn('service_not_keywords', 'string', [
                    'default' => null,
                    'limit'   => 255,
                    'null'    => true,
                ])
                ->addColumn('servicename_regex', 'string', [
                    'default' => null,
                    'limit'   => 2500,
                    'null'    => true,
                ])
                ->addColumn('created', 'datetime', [
                    'limit' => null,
                    'null'  => false,
                ])
                ->addColumn('modified', 'datetime', [
                    'limit' => null,
                    'null'  => false,
                ])
                ->create();
        }
    }
}
