<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

/**
 * Class RecursiveContainer
 *
 * Created via:
 * OITC_DEBUG=1 oitc migrations create -p CustomalertModule RecursiveContainer
 *
 * Run migration:
 * oitc migrations migrate -p CustomalertModule
 *
 */
class RecursiveContainer extends AbstractMigration {
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void {

        $this->table('customalert_rules')
            ->addColumn('recursive', 'boolean', [
                'after'   => 'container_id',
                'default' => false,
                'limit'   => null,
                'null'    => false,
            ])
            ->update();
    }
}
