<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

/**
 * Class RecursiveContainer
 *
 * Created via:
 * OITC_DEBUG=1 oitc migrations create -p CustomalertModule Indices
 *
 * Run migration:
 * oitc migrations migrate -p CustomalertModule
 *
 */
class Indices extends AbstractMigration {
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void {

        $this->table('customalerts')
            ->addIndex([
                'state',
                'created'
            ], [
                'name' => 'frontend',
            ])
            ->addIndex([
                'state',
                'service_id'
            ], [
                'name' => 'backend',
            ])
            ->update();

    }
}
