<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace CustomalertModule\Lib;


use CustomalertModule\Model\Entity\Customalert;
use itnovum\openITCOCKPIT\Core\ListSettingsConditions;
use itnovum\openITCOCKPIT\Core\ValueObjects\HostStates;

class CustomalertConditions extends ListSettingsConditions {

    /**
     * @var array
     */
    protected $order = [
        'Customalerts.created' => 'DESC'
    ];

    protected $states = [
        Customalert::STATE_NEW,
        Customalert::STATE_PROGRESS,
        Customalert::STATE_DONE
    ];

    /**
     * @var bool
     */
    protected $recursiveContainer = false;

    public function setStates($states) {
        $this->states = [];

        if (!is_array($states)) {
            $states = [$states];
        }

        foreach ($states as $state) {
            $state = (int)$state;
            if (!in_array($state, [
                Customalert::STATE_NEW,
                Customalert::STATE_PROGRESS,
                Customalert::STATE_DONE
            ])) {
                $this->states[] = $state;
            }
        }
    }

    public function setRecursiveContainer(bool $recursiveContainer) {
        $this->recursiveContainer = $recursiveContainer;
    }

    public function isRecursiveContainer() {
        return $this->recursiveContainer;
    }

}
