<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace CustomalertModule\Lib;


use App\Lib\PluginExportTasks;
use Cake\Core\Configure;
use Cake\Core\Plugin;
use Cake\ORM\TableRegistry;
use Cake\Utility\Hash;


class ExportTasks implements PluginExportTasks {

    public function __construct() {
        Configure::load('nagios');
        $this->conf = Configure::read('nagios.export');
    }

    public function beforeExport(): bool {
        return true;
    }

    public function afterExport(): bool {
        if (!Plugin::isLoaded('CustomalertModule')) {
            return true;
        }

        exec('systemctl restart customalert_worker.service', $output, $rc);

        if ($rc === 0) {
            return true;
        }

        return false;
    }
}
