<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace CustomalertModule\Lib;


use itnovum\openITCOCKPIT\Core\Menu\MenuCategory;
use itnovum\openITCOCKPIT\Core\Menu\MenuHeadline;
use itnovum\openITCOCKPIT\Core\Menu\MenuInterface;
use itnovum\openITCOCKPIT\Core\Menu\MenuLink;

class Menu implements MenuInterface {

    /**
     * @return array
     */
    public function getHeadlines() {
        $Overview = new MenuHeadline(\itnovum\openITCOCKPIT\Core\Menu\Menu::MENU_OVERVIEW);
        $Overview
            ->addCategory((new MenuCategory(
                'custom_alerts',
                __('Custom Alerts'),
                10,
                'fa-solid fa-bullhorn'
            ))
                ->addLink(new MenuLink(
                    __('Service alerts'),
                    'CustomalertsIndex',
                    'customalerts',
                    'index',
                    'CustomalertModule',
                    'fa-solid fa-list-check',
                    [],
                    1
                ))
                ->addLink(new MenuLink(
                    __('Custom alerting rules'),
                    'CustomalertRulesIndex',
                    'customalertrules',
                    'index',
                    'CustomalertModule',
                    'fa-solid fa-compass-drafting',
                    [],
                    2
                ))
            );
        return [$Overview];
    }
}
