<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace CustomalertModule\Model\Entity;

use App\Model\Entity\Service;
use Cake\ORM\Entity;

/**
 * Customalert Entity
 *
 * @property int $id
 * @property int $service_id
 * @property string $service_uuid
 * @property string $message
 * @property int|null $state
 * @protected int $latest_comment_id
 * @property \Cake\I18n\FrozenTime $created
 * @property \Cake\I18n\FrozenTime $modified
 *
 * @property Service $service
 * @property \CustomalertModule\Model\Entity\CustomalertComment[] $customalert_comments
 * @property \CustomalertModule\Model\Entity\CustomalertStatehistory[] $customalert_statehistory
 */
class Customalert extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'service_id'               => true,
        'service_uuid'             => true,
        'message'                  => true,
        'state'                    => true,
        'latest_comment_id'        => true,
        'created'                  => true,
        'modified'                 => true,
        'service'                  => true,
        'customalert_comments'     => true,
        'customalert_statehistory' => true,
    ];

    public const STATE_NEW = 0;

    public const STATE_PROGRESS = 1;

    public const STATE_DONE = 2;

    public const STATE_MANUALLY_CLOSED = 3;
}
