<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace CustomalertModule\Model\Entity;

use Cake\ORM\Entity;

/**
 * CustomalertComment Entity
 *
 * @property int $id
 * @property int $customalert_id
 * @property int $user_id
 * @property string $comment
 * @property \Cake\I18n\FrozenTime $entry_time
 *
 * @property \CustomalertModule\Model\Entity\Customalert $customalert
 * @property \CustomalertModule\Model\Entity\User $user
 * @property \CustomalertModule\Model\Entity\CustomalertStatehistory[] $customalert_statehistory
 */
class CustomalertComment extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'customalert_id'           => true,
        'user_id'                  => true,
        'comment'                  => true,
        'entry_time'               => true,
        'customalert'              => true,
        'user'                     => true,
        'customalert_statehistory' => true,
    ];
}
