<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace CustomalertModule\Model\Entity;

use App\Model\Entity\Container;
use Cake\ORM\Entity;

/**
 * CustomalertRule Entity
 *
 * @property int $id
 * @property int $container_id
 * @property bool $recursive
 * @property string $name
 * @property string|null $description
 * @property string|null $host_keywords
 * @property string|null $host_not_keywords
 * @property string|null $service_keywords
 * @property string|null $service_not_keywords
 * @property string $servicename_regex
 * @property \Cake\I18n\FrozenTime $created
 * @property \Cake\I18n\FrozenTime $modified
 *
 * @property Container $container
 */
class CustomalertRule extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'container_id'         => true,
        'recursive'            => true,
        'name'                 => true,
        'description'          => true,
        'host_keywords'        => true,
        'host_not_keywords'    => true,
        'service_keywords'     => true,
        'service_not_keywords' => true,
        'servicename_regex'    => true,
        'created'              => true,
        'modified'             => true,
        'container'            => true,
    ];
}
