<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

?>

<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?= __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?= __(' Custom Alert Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="CustomalertRulesIndex">
            <i class="fa-solid fa-compass-drafting"></i> <?= __('Custom Alert Rules '); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-pencil"></i> <?= __('Edit custom alert rule'); ?>
    </li>
</ol>


<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Create new custom alert rule'); ?>
                </h2>
                <div class="panel-toolbar">
                    <?php if ($this->Acl->hasPermission('index', 'CustomalertRules', 'CustomalertModule')): ?>
                        <a back-button href="javascript:void(0);" fallback-state='CustomalertRulesIndex'
                           class="btn btn-default btn-xs mr-1 shadow-0">
                            <i class="fas fa-long-arrow-alt-left"></i> <?php echo __('Back'); ?>
                        </a>
                    <?php endif; ?>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content fuelux">
                    <form ng-submit="submit();" class="form-horizontal"
                          ng-init="successMessage=
                        {objectName : '<?php echo __('Custom alert rule'); ?>' , message:
                        '<?= __('created successfully'); ?>'}">

                        <div class="form-group required" ng-class="{'has-error': errors.containers}">
                            <label class="control-label" for="CustomalertRulesContainers">
                                <?php echo __('Container'); ?>
                            </label>
                            <select
                                    id="CustomalertRulesContainers"
                                    data-placeholder="<?php echo __('Please choose'); ?>"
                                    class="form-control"
                                    chosen="containers"
                                    ng-options="container.key as container.value for container in containers"
                                    ng-model="post.container_id">
                            </select>
                            <div ng-show="post.container_id < 1" class="warning-glow">
                                <?php echo __('Please select a container.'); ?>
                            </div>
                            <div ng-repeat="error in errors.container_id">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{'has-error': errors.recursive}">
                            <div class="custom-control custom-checkbox"
                                 ng-class="{'has-error': errors.recursive}">

                                <input type="checkbox"
                                       class="custom-control-input"
                                       id="recursive"
                                       ng-model="post.recursive">
                                <label class="custom-control-label" for="recursive">
                                    <?php echo __('Recursive'); ?>
                                </label>
                            </div>
                            <div ng-repeat="error in errors.recursive">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                            <div class="help-block">
                                <?= __('When enabled, this alert rule will also apply to hosts in all sub-container.'); ?>
                            </div>
                        </div>

                        <div class="form-group required" ng-class="{'has-error': errors.name}">
                            <label class="control-label">
                                <?= __('Name'); ?>
                            </label>
                            <input
                                    class="form-control"
                                    type="text"
                                    ng-model="post.name">
                            <div ng-repeat="error in errors.name">
                                <div class="help-block text-danger">{{ error }}</div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label">
                                <?php echo __('Description'); ?>
                            </label>
                            <input class="form-control"
                                   type="text"
                                   ng-model="post.description">
                        </div>

                        <fieldset class="margin-top-10">
                            <legend class="fieldset-legend-border-bottom">
                                <h5>
                                    <i class="fa-solid fa-display"></i>
                                    <?= __('Host'); ?>
                                </h5>
                            </legend>
                            <div class="form-group required" ng-class="{'is-invalid': errors.host_keywords}">
                                <label class="control-label">
                                    <?php echo __('Included tags'); ?>
                                </label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <i class="fa-solid fa-tags opacity-100 text-success cornered cornered-lr"></i>
                                        </span>
                                    </div>
                                    <div class="col-lg padding-left-0 padding-right-23">
                                        <input class="form-control tagsinput"
                                               data-role="tagsinput"
                                               type="text"
                                               id="HostTagsInput"
                                               ng-model="post.host_keywords">
                                    </div>

                                </div>
                                <div ng-repeat="error in errors.host_keywords">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <div class="help-block">
                                    <?php echo __('Press return to separate tags'); ?>
                                </div>
                            </div>
                            <div class="form-group" ng-class="{'has-error': errors.host_not_keywords}">
                                <label class="control-label">
                                    <?php echo __('Excluded tags'); ?>
                                </label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <i class="fa-solid fa-tags opacity-100 text-danger cornered cornered-lr"></i>
                                        </span>
                                    </div>
                                    <div class="col-lg padding-left-0 padding-right-23">
                                        <input class="form-control tagsinput"
                                               data-role="tagsinput"
                                               type="text"
                                               id="HostExcludedTagsInput"
                                               ng-model="post.host_not_keywords">

                                    </div>
                                </div>
                                <div ng-repeat="error in errors.host_not_keywords">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <div class="help-block">
                                    <?php echo __('Press return to separate tags'); ?>
                                </div>
                            </div>
                        </fieldset>

                        <fieldset class="margin-top-10">
                            <legend class="fieldset-legend-border-bottom">
                                <h5>
                                    <i class="fa-solid fa-cog"></i>
                                    <?= __('Service'); ?>
                                </h5>
                            </legend>
                            <div class="form-group" ng-class="{'has-error': errors.service_keywords}">
                                <label class="control-label">
                                    <?php echo __('Included tags'); ?>
                                </label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <i class="fa-solid fa-tags opacity-100 text-success cornered cornered-lr"></i>
                                        </span>
                                    </div>
                                    <div class="col-lg padding-left-0 padding-right-23">
                                        <input class="form-control tagsinput"
                                               data-role="tagsinput"
                                               type="text"
                                               id="ServiceTagsInput"
                                               ng-model="post.service_keywords">

                                    </div>

                                </div>
                                <div ng-repeat="error in errors.service_not_keywords">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <div class="help-block">
                                    <?php echo __('Press return to separate tags'); ?>
                                </div>
                            </div>
                            <div class="form-group" ng-class="{'has-error': errors.service_not_keywords}">
                                <label class="control-label">
                                    <?php echo __('Excluded tags'); ?>
                                </label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                            <i class="fa-solid fa-tags opacity-100 text-danger cornered cornered-lr"></i>
                                        </span>
                                    </div>
                                    <div class="col-lg padding-left-0 padding-right-23">
                                        <input class="form-control tagsinput"
                                               data-role="tagsinput"
                                               type="text"
                                               id="ServiceExcludedTagsInput"
                                               ng-model="post.service_not_keywords">

                                    </div>
                                </div>
                                <div ng-repeat="error in errors.service_not_keywords">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <div class="help-block">
                                    <?php echo __('Press return to separate tags'); ?>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label">
                                    <?php echo __('Service RegEx'); ?>
                                </label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">
                                           <regex-helper-tooltip></regex-helper-tooltip>
                                        </span>
                                    </div>
                                    <input class="form-control"
                                           type="text"
                                           ng-model="post.servicename_regex">
                                </div>
                                <div ng-repeat="error in errors.servicename_regex">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                            </div>
                        </fieldset>

                        <div class="card margin-top-10">
                            <div class="card-body">
                                <div class="float-right">
                                    <input class="btn btn-primary" type="submit" value="<?= __('Update') ?>">&nbsp;
                                    <a back-button href="javascript:void(0);"
                                       fallback-state='CustomalertRulesIndex'
                                       class="btn btn-default"><?php echo __('Cancel'); ?>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
