<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?= __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?= __('Custom Alert Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <i class="fa-solid fa-compass-drafting"></i> <?php echo __('Custom Alert Rules'); ?>
    </li>
</ol>

<!-- ANGAULAR DIRECTIVES -->
<massdelete></massdelete>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Custom Alert'); ?>
                    <span class="fw-300"><i><?php echo __('Rules'); ?></i></span>
                </h2>
                <div class="panel-toolbar">
                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="load()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>
                    <?php if ($this->Acl->hasPermission('add', 'CustomalertRules', 'CustomalertModule')): ?>
                        <button class="btn btn-xs btn-success mr-1 shadow-0"
                                ui-sref="CustomalertRulesAdd">
                            <i class="fas fa-plus"></i> <?php echo __('New'); ?>
                        </button>
                    <?php endif; ?>
                    <button class="btn btn-xs btn-primary shadow-0" ng-click="triggerFilter()">
                        <i class="fas fa-filter"></i> <?php echo __('Filter'); ?>
                    </button>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">
                    <!-- Start Filter -->
                    <div class="list-filter card margin-bottom-10" ng-show="showFilter">
                        <div class="card-header">
                            <i class="fa fa-filter"></i> <?php echo __('Filter'); ?>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                            class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Filter by rule name'); ?>"
                                                   ng-model="filter.CustomalertRules.name"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Filter by rule description'); ?>"
                                                   ng-model="filter.CustomalertRules.description"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <div class="icon-stack">
                                                        <i class="fas fa-desktop opacity-100 "></i>
                                                        <i class="fa-solid fa-tags opacity-100 fa-xs text-success cornered cornered-lr"></i>
                                                    </div>
                                                </span>
                                            </div>
                                            <div class="col tagsinputFilter">
                                                <input type="text"
                                                       class="form-control form-control-sm"
                                                       data-role="tagsinput"
                                                       id="HostKeywordsInput"
                                                       placeholder="<?php echo __('Filter by host tags'); ?>"
                                                       ng-model="filter.CustomalertRules.host_keywords"
                                                       ng-model-options="{debounce: 500}">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <div class="icon-stack">
                                                        <i class="fas fa-desktop opacity-100"></i>
                                                        <i class="fa-solid fa-tags opacity-100 fa-xs text-danger cornered cornered-lr"></i>
                                                    </div>
                                                </span>
                                            </div>
                                            <div class="col tagsinputFilter">
                                                <input type="text" class="input-sm"
                                                       data-role="tagsinput"
                                                       id="HostNotKeywordsInput"
                                                       placeholder="<?php echo __('Filter by excluded host tags'); ?>"
                                                       ng-model="filter.CustomalertRules.host_not_keywords"
                                                       ng-model-options="{debounce: 500}">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <div class="icon-stack">
                                                        <i class="fas fa-cog opacity-100 "></i>
                                                        <i class="fa-solid fa-tags opacity-100 fa-xs text-success cornered cornered-lr"></i>
                                                    </div>
                                                </span>
                                            </div>
                                            <div class="col tagsinputFilter">
                                                <input type="text"
                                                       class="form-control form-control-sm"
                                                       data-role="tagsinput"
                                                       id="ServicesKeywordsInput"
                                                       placeholder="<?php echo __('Filter service tags'); ?>"
                                                       ng-model="filter.CustomalertRules.service_keywords"
                                                       ng-model-options="{debounce: 500}"
                                                       style="display: none;">
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text">
                                                    <div class="icon-stack">
                                                        <i class="fas fa-cog opacity-100"></i>
                                                        <i class="fa-solid fa-tags opacity-100 fa-xs text-danger cornered cornered-lr"></i>
                                                    </div>
                                                </span>
                                            </div>
                                            <div class="col tagsinputFilter">
                                                <input type="text" class="input-sm"
                                                       data-role="tagsinput"
                                                       id="ServicesNotKeywordsInput"
                                                       placeholder="<?php echo __('Filter by excluded service tags'); ?>"
                                                       ng-model="filter.CustomalertRules.service_not_keywords"
                                                       ng-model-options="{debounce: 500}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="float-right">
                                <button type="button" ng-click="resetFilter()"
                                        class="btn btn-xs btn-danger">
                                    <?php echo __('Reset Filter'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- End Filter -->

                    <div class="frame-wrap">
                        <table class="table table-striped m-0 table-bordered table-hover table-sm">
                            <thead>
                            <tr>
                                <th class="no-sort sorting_disabled width-15">
                                    <i class="fa fa-check-square"></i>
                                </th>
                                <th class="no-sort" ng-click="orderBy('CustomalertRules.name')">
                                    <i class="fa" ng-class="getSortClass('CustomalertRules.name')"></i>
                                    <?php echo __('Name'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('CustomalertRules.description')">
                                    <i class="fa" ng-class="getSortClass('CustomalertRules.description')"></i>
                                    <?php echo __('Description'); ?>
                                </th>

                                <th class="no-sort">
                                    <?php echo __('Container'); ?>
                                </th>

                                <th class="no-sort">
                                    <?php echo __('Recursive container'); ?>
                                </th>

                                <th class="no-sort text-center editItemWidth">
                                    <i class="fa fa-gear fa-lg"></i>
                                </th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr ng-repeat="customalertRule in customalertRules">
                                <td class="text-center" class="width-15">
                                    <?php if ($this->Acl->hasPermission('delete', 'CustomalertRules', 'CustomalertModule')): ?>
                                        <input type="checkbox"
                                               ng-model="massChange[customalertRule.id]"
                                               ng-show="customalertRule.allowEdit">
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if ($this->Acl->hasPermission('edit', 'CustomalertRules', 'CustomalertModule')): ?>
                                        <a ui-sref="CustomalertRulesEdit({id: customalertRule.id})"
                                           ng-if="customalertRule.allowEdit">
                                            {{ customalertRule.name }}
                                        </a>
                                    <?php else: ?>
                                        {{ customalertRule.name }}
                                    <?php endif; ?>
                                </td>
                                <td>
                                    {{ customalertRule.description }}
                                </td>
                                <td>
                                    {{ customalertRule.container }}
                                </td>

                                <td>
                                    <span class="badge badge-danger"
                                          ng-hide="customalertRule.recursive">
                                        <?php echo __('Disabled'); ?>
                                    </span>
                                    <span class="badge badge-success"
                                          ng-show="customalertRule.recursive">
                                        <?php echo __('Enabled'); ?>
                                    </span>
                                </td>

                                <td class="width-50">
                                    <div class="btn-group btn-group-xs" role="group">
                                        <?php if ($this->Acl->hasPermission('edit', 'CustomalertRules', 'CustomalertModule')): ?>
                                            <a ui-sref="CustomalertRulesEdit({id: customalertRule.id})"
                                               ng-if="customalertRule.allowEdit"
                                               class="btn btn-default btn-lower-padding">
                                                <i class="fa fa-cog"></i>
                                            </a>
                                            <a href="javascript:void(0);"
                                               ng-if="!customalertRule.allowEdit"
                                               class="btn btn-default btn-lower-padding disabled">
                                                <i class="fa fa-cog"></i>
                                            </a>
                                        <?php else: ?>
                                            <a href="javascript:void(0);"
                                               class="btn btn-default btn-lower-padding disabled">
                                                <i class="fa fa-cog"></i></a>
                                        <?php endif; ?>
                                        <button type="button"
                                                class="btn btn-default dropdown-toggle btn-lower-padding"
                                                data-toggle="dropdown">
                                            <i class="caret"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right">
                                            <?php if ($this->Acl->hasPermission('edit', 'CustomalertRules', 'CustomalertModule')): ?>
                                                <a ui-sref="CustomalertRulesEdit({id: customalertRule.id})"
                                                   ng-if="customalertRule.allowEdit"
                                                   class="dropdown-item">
                                                    <i class="fa fa-cog"></i>
                                                    <?php echo __('Edit'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('services', 'CustomalertRules', 'CustomalertModule')): ?>
                                                <a ui-sref="CustomalertRulesServices({id: customalertRule.id})"
                                                   class="dropdown-item">
                                                    <i class="fa fa-cogs"></i>
                                                    <?php echo __('Affected services'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('delete', 'CustomalertRules', 'CustomalertModule')): ?>
                                                <div class="dropdown-divider"></div>
                                                <a ng-if="customalertRule.allowEdit"
                                                   ng-click="confirmDelete(getObjectForDelete(customalertRule))"
                                                   href="javascript:void(0);"
                                                   class="dropdown-item txt-color-red">
                                                    <i class="fa fa-trash"></i>
                                                    <?php echo __('Delete'); ?>
                                                </a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="margin-top-10" ng-show="customalertRules.length == 0">
                            <div class="text-center text-danger italic">
                                <?php echo __('No entries match the selection'); ?>
                            </div>
                        </div>
                        <div class="row margin-top-10 margin-bottom-10">
                            <div class="col-xs-12 col-md-2 text-muted text-center">
                                <span ng-show="selectedElements > 0">({{selectedElements}})</span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="selectAll()" class="pointer">
                                    <i class="fas fa-lg fa-check-square"></i>
                                    <?php echo __('Select all'); ?>
                                </span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="undoSelection()" class="pointer">
                                    <i class="fas fa-lg fa-square"></i>
                                    <?php echo __('Undo selection'); ?>
                                </span>
                            </div>
                            <?php if ($this->Acl->hasPermission('delete', 'CustomalertRules', 'CustomalertModule')): ?>
                                <div class="col-xs-12 col-md-2 txt-color-red">
                                    <span ng-click="confirmDelete(getObjectsForDelete())" class="pointer">
                                        <i class="fas fa-trash"></i>
                                        <?php echo __('Delete selected'); ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                        </div>

                        <scroll scroll="scroll" click-action="changepage" ng-if="scroll"></scroll>
                        <paginator paging="paging" click-action="changepage" ng-if="paging"></paginator>
                        <?php echo $this->element('paginator_or_scroll'); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
