<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?= __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?= __('Custom Alert Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="CustomalertRulesIndex">
            <i class="fa-solid fa-compass-drafting"></i> <?= __('Custom Alert Rules '); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa-solid fa-cogs"></i> <?php echo __('Custom Alert Rule Affected Services'); ?>
    </li>
</ol>


<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Custom Alert Rule'); ?>
                    <span class="fw-300"><i><?php echo __('Affected services'); ?></i></span>
                </h2>
                <div class="panel-toolbar">
                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="load()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>
                    <button class="btn btn-xs btn-primary shadow-0" ng-click="triggerFilter()">
                        <i class="fas fa-filter"></i> <?php echo __('Filter'); ?>
                    </button>
                </div>
            </div>
            <div class="panel-hdr">
                <div class="alert border-primary bg-transparent fade show w-100 margin-10" role="alert">
                    <?php if ($this->Acl->hasPermission('edit', 'CustomalertRules', 'CustomalertModule')): ?>
                        <span aria-hidden="true">
                            <a class="btn btn-outline-primary btn-sm btn-w-m waves-effect waves-themed pull-right"
                               ng-if="customalertRule.allowEdit"
                               ui-sref="CustomalertRulesEdit({id: customalertRule.id})"
                               data-dismiss="modal"
                               href="#!/customalert_module/CustomalertRules/edit/{{customalertRule.id}}">
                            <i class="fas fa-tasks"></i>
                            <?= __('Go to "Custom rule configuration"'); ?>
                            </a>
                        </span>
                    <?php endif; ?>

                    <div class="d-flex align-items-center">
                        <div class="alert-icon">
                            <span class="icon-stack fa-3x">
                                <i class="base-2 icon-stack-3x color-primary-600"></i>
                                <i class="base-3 icon-stack-2x color-primary-700"></i>
                                <i class="ni ni-settings icon-stack-1x text-white"></i>
                            </span>
                        </div>
                        <div class="flex-1">
                            <span class="h4 text-primary">
                                <?= __('Custom alert rule: '); ?>
                                <?php if ($this->Acl->hasPermission('edit', 'CustomalertRules', 'CustomalertModule')): ?>
                                    <a ui-sref="CustomalertRulesEdit({id: customalertRule.id})"
                                       ng-if="customalertRule.allowEdit">
                                            "{{ customalertRule.name }}"
                                        </a>
                                <?php else: ?>
                                    "{{ customalertRule.name }}"
                                <?php endif; ?>
                            </span>
                            <br>
                            <?= __('Overview of all affected services. Please refresh your configuration after configuration changes!'); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">
                    <!-- Start Filter -->
                    <div class="list-filter card margin-bottom-10" ng-show="showFilter">
                        <div class="card-header">
                            <i class="fa fa-filter"></i> <?php echo __('Filter'); ?>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                            class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Filter by host name'); ?>"
                                                   ng-model="filter.Hosts.name"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Filter by service name'); ?>"
                                                   ng-model="filter.servicename"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="float-right">
                                <button type="button" ng-click="resetFilter()"
                                        class="btn btn-xs btn-danger">
                                    <?php echo __('Reset Filter'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="frame-wrap">
                        <table class="table table-striped m-0 table-bordered table-hover table-sm">
                            <thead>
                            <tr>
                                <th class="no-sort" ng-click="orderBy('Hosts.name')">
                                    <i class="fa" ng-class="getSortClass('Hosts.name')"></i>
                                    <?php echo __('Host'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('servicename')">
                                    <i class="fa" ng-class="getSortClass('servicename')"></i>
                                    <?php echo __('Service'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('Services.description')">
                                    <i class="fa" ng-class="getSortClass('Services.description')"></i>
                                    <?php echo __('Description'); ?>
                                </th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr ng-repeat="service in services">
                                <td>
                                    <?php if ($this->Acl->hasPermission('browser', 'hosts', '')): ?>
                                        <a ui-sref="HostsBrowser({id: service.Hosts.id})">
                                            {{ service.Hosts.name }}
                                        </a>
                                    <?php else: ?>
                                        {{ service.Hosts.name }}
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if ($this->Acl->hasPermission('browser', 'services', '')): ?>
                                        <a ui-sref="ServicesBrowser({id: service.id})">
                                            {{ service.servicename }}
                                        </a>
                                    <?php else: ?>
                                        {{ service.servicename }}
                                    <?php endif; ?>
                                </td>
                                <td>
                                    {{ service.description }}
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="margin-top-10" ng-show="services.length == 0">
                            <div class="text-center text-danger italic">
                                <?php echo __('No entries match the selection'); ?>
                            </div>
                        </div>

                        <scroll scroll="scroll" click-action="changepage" ng-if="scroll"></scroll>
                        <paginator paging="paging" click-action="changepage" ng-if="paging"></paginator>
                        <?php echo $this->element('paginator_or_scroll'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
