<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Custom Alert Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="CustomalertsIndex">
            <i class="fa-solid fa-list-check"></i> <?= __('Service Alerts '); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-tasks"></i> <?php echo __('Custom Alerts State History'); ?>
    </li>
</ol>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Custom Alerts'); ?>
                    <span class="fw-300"><i><?php echo __('State History'); ?></i></span>
                </h2>
                <div class="panel-toolbar">
                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="load()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>
                </div>
            </div>
            <div class="frame-wrap">
                <div class="col-lg-12">
                    <ul class="cbp_tmtimeline">
                        <li ng-repeat="historyItem in history">
                            <time class="cbp_tmtime" datetime="{{historyItem.state_time}}">
                                <span>{{historyItem.state_time}}</span>
                                <span>{{historyItem.timeAgoInWords}}</span>
                            </time>

                            <div class="cbp_tmicon txt-color-white"
                                 ng-class="{'new-flame-bg': historyItem.state==0, 'bg-secondary': historyItem.state==1, 'bg-success': historyItem.state==2, 'bg-primary': historyItem.state==3}">
                                <i class="fa-solid fa-fire-flame-curved" ng-show="historyItem.state==0"></i>
                                <i class="fa-solid fa-person-digging" ng-show="historyItem.state==1"></i>
                                <i class="fa-solid fa-clipboard-check" ng-show="historyItem.state==2"></i>
                                <i class="fa-solid fa-folder-closed" ng-show="historyItem.state==3"></i>
                            </div>
                            <div class="cbp_tmlabel" ng-if="historyItem.customalert_comment.id">
                                <h2 class="font-md">
                                    <span class="font-xs" ng-if="historyItem.user === true">
                                         <?= __('Commented by ') ?>
                                        <?php if ($this->Acl->hasPermission('edit', 'users')): ?>
                                            <a ui-sref="UsersEdit({id: historyItem.customalert_comment.user.id})">
                                                {{historyItem.customalert_comment.user.firstname}}
                                                {{historyItem.customalert_comment.user.lastname}}
                                            </a>
                                        <?php else: ?>
                                            {{historyItem.customalert_comment.user.firstname}}
                                            {{historyItem.customalert_comment.user.lastname}}
                                        <?php endif; ?>
                                    </span>
                                </h2>
                                <blockquote
                                        ng-class="{ 'changelog-blockquote-secondary': historyItem.state==1, 'changelog-blockquote-success': historyItem.state==2}"

                                        class="blockquote">
                                    <div class="margin-left-10 italic font-sm">
                                        {{historyItem.customalert_comment.comment}}
                                    </div>
                                </blockquote>
                            </div>
                            <div class="cbp_tmlabel" ng-if="historyItem.user === false && historyItem.state === 0">
                                <h2 class="font-md">
                                    <?= __('Service:'); ?>
                                    <?php if ($this->Acl->hasPermission('browser', 'hosts')): ?>
                                        <a ui-sref="HostsBrowser({id:customalert.service.host.id})">
                                            {{ customalert.service.host.name }}
                                        </a>
                                    <?php else: ?>
                                        {{ customalert.service.host.name }}
                                    <?php endif; ?>
                                    /
                                    <?php if ($this->Acl->hasPermission('browser', 'services')): ?>
                                        <a ui-sref="ServicesBrowser({id:customalert.service.id})">
                                            {{ customalert.servicename }}
                                        </a>
                                    <?php else: ?>
                                        {{ customalert.servicename }}
                                    <?php endif; ?>
                                    <span class="text-info helptext font-xs">
                                        <i class="fa-solid fa-circle-info"></i>
                                         <?= __('This alert was automatically generated by the alerting daemon'); ?>
                                    </span>
                                </h2>

                                <blockquote class="blockquote changelog-blockquote-danger">
                                    <code>
                                        {{customalert.message}}
                                    </code>
                                </blockquote>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
