<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

?>
<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Custom Alert Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-tasks"></i> <?php echo __('Custom Alerts Overview'); ?>
    </li>
</ol>

<massannotate></massannotate>
<massclose></massclose>

<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Custom Alerts'); ?>
                    <span class="fw-300"><i><?php echo __('Overview'); ?></i></span>
                </h2>
                <div class="panel-toolbar">

                    <auto-refrasher callback="load"></auto-refrasher>

                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="load()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>
                    <button class="btn btn-xs btn-primary shadow-0" ng-click="triggerFilter()">
                        <i class="fas fa-filter"></i> <?php echo __('Filter'); ?>
                    </button>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">

                    <div class="row padding-bottom-10">
                        <div class="col-12">
                            <filter-bookmark
                                    phpplugin="<?= $this->getRequest()->getParam('plugin', '') ?>"
                                    phpcontroller="<?= $this->getRequest()->getParam('controller', '') ?>"
                                    phpaction="<?= $this->getRequest()->getParam('action', '') ?>"
                                    filter="filter"
                                    load-callback="triggerLoadByBookmark"
                                    state-name="CustomalertsIndex">
                            </filter-bookmark>
                        </div>
                    </div>

                    <div class="row padding-bottom-10" ng-if="customalertGlobalOverview">
                        <div class="col-lg-12 col-md-12 col-xs-12 fieldset-legend-border-bottom border-1">
                            <div class="row">
                                <div class="col-lg-4 col-md-12 col-xs-12">
                                    <div class="p-2 new-flame-bg rounded overflow-hidden position-relative text-white mb-3">
                                        <div>
                                            <h6 class="display-4 d-block l-h-n m-0 fw-500">
                                                {{customalertGlobalOverview[0]}}
                                                <span class="small opacity-40">
                                                   /{{customalertGlobalOverview.total}}
                                                </span>
                                                <small class="m-0 l-h-n">
                                                    <?= __('New alerts'); ?>
                                                </small>
                                            </h6>
                                        </div>
                                        <i class="fa-solid fa-fire-flame-curved position-absolute pos-right pos-bottom opacity-15 font-5-rem"></i>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12 col-xs-12">
                                    <div class="p-2 bg-secondary rounded overflow-hidden position-relative text-white mb-3">
                                        <div>
                                            <h6 class="display-4 d-block l-h-n m-0 fw-500">
                                                {{customalertGlobalOverview[1]}}
                                                <span class="small opacity-40">
                                                   /{{customalertGlobalOverview.total}}
                                                </span>
                                                <small class="m-0 l-h-n">
                                                    <?= __('In progress'); ?>
                                                </small>
                                            </h6>
                                        </div>
                                        <i class="fa-solid fa-person-digging position-absolute pos-right pos-bottom opacity-15 font-5-rem"></i>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12 col-xs-12">
                                    <div class="row">
                                        <div class="col-12 text-right">
                                            <i class="fa-solid fa-fire-flame-curved flame"></i>
                                            <em class="padding-right-10">
                                                <?= __('New'); ?>
                                            </em>
                                            <i class="fa-solid fa-person-digging text-secondary"></i>
                                            <em class="padding-right-10">
                                                <?= __('In progress'); ?>
                                            </em>
                                            <i class="fa-solid fa-clipboard-check text-success"></i>
                                            <em class="padding-right-10">
                                                <?= __('Done'); ?>
                                            </em>
                                            <i class="fa-solid fa-folder-closed color-primary-900"></i>
                                            <em class="padding-right-10">
                                                <?= __('Manually closed'); ?>
                                            </em>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Start Filter -->
                    <div class="list-filter card margin-bottom-10" ng-show="showFilter">
                        <div class="card-header">
                            <i class="fa fa-filter"></i> <?php echo __('Filter'); ?>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-xs-12 col-md-12 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span class="input-group-text"><i
                                                            class="fa fa-filter"></i></span>
                                            </div>
                                            <input type="text" class="form-control form-control-sm"
                                                   placeholder="<?php echo __('Filter by custom alerts message'); ?>"
                                                   ng-model="filter.Customalerts.message"
                                                   ng-model-options="{debounce: 500}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span
                                                        class="input-group-text filter-text"><?php echo __('From'); ?></span>
                                            </div>
                                            <input type="datetime-local" class="form-control form-control-sm"
                                                   style="padding:0.5rem 0.875rem;"
                                                   placeholder="<?php echo __('From date'); ?>"
                                                   ng-model="from_time"
                                                   ng-model-options="{debounce: 500, timeSecondsFormat:'ss', timeStripZeroSeconds: true}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span
                                                        class="input-group-text filter-text"><?php echo __('To'); ?></span>
                                            </div>
                                            <input type="datetime-local" class="form-control form-control-sm"
                                                   style="padding:0.5rem 0.875rem;"
                                                   placeholder="<?php echo __('To date'); ?>"
                                                   ng-model="to_time"
                                                   ng-model-options="{debounce: 500, timeSecondsFormat:'ss', timeStripZeroSeconds: true}">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row padding-top-10">
                                <div class="col-xs-12 col-lg-2">
                                    <fieldset>
                                        <h5><?php echo __('Alert status'); ?></h5>
                                        <div class="form-group">
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox"
                                                       id="statusFilterNew"
                                                       class="custom-control-input"
                                                       name="checkbox"
                                                       checked="checked"
                                                       ng-model="filter.Customalerts.state[<?php echo \CustomalertModule\Model\Entity\Customalert::STATE_NEW; ?>]"
                                                       ng-model-options="{debounce: 500}">
                                                <label class="custom-control-label custom-control-label-danger"
                                                       for="statusFilterNew"><?= __('New'); ?></label>
                                            </div>

                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox"
                                                       id="statusFilterInProgress"
                                                       class="custom-control-input"
                                                       name="checkbox"
                                                       checked="checked"
                                                       ng-model="filter.Customalerts.state[<?php echo \CustomalertModule\Model\Entity\Customalert::STATE_PROGRESS; ?>]"
                                                       ng-model-options="{debounce: 500}">
                                                <label class="custom-control-label custom-control-label-unreachable"
                                                       for="statusFilterInProgress"><?= __('In progress'); ?></label>
                                            </div>

                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox"
                                                       id="statusFilterDone"
                                                       class="custom-control-input"
                                                       name="checkbox"
                                                       checked="checked"
                                                       ng-model="filter.Customalerts.state[<?php echo \CustomalertModule\Model\Entity\Customalert::STATE_DONE; ?>]"
                                                       ng-model-options="{debounce: 500}">
                                                <label class="custom-control-label custom-control-label-success"
                                                       for="statusFilterDone"><?= __('Done'); ?></label>
                                            </div>
                                            <div class="custom-control custom-checkbox">
                                                <input type="checkbox"
                                                       id="statusFilterManuallyClosed"
                                                       class="custom-control-input"
                                                       name="checkbox"
                                                       checked="checked"
                                                       ng-model="filter.Customalerts.state[<?php echo \CustomalertModule\Model\Entity\Customalert::STATE_MANUALLY_CLOSED; ?>]"
                                                       ng-model-options="{debounce: 500}">
                                                <label class="custom-control-label custom-control-label-primary"
                                                       for="statusFilterManuallyClosed"><?= __('Manually closed'); ?></label>
                                            </div>
                                        </div>
                                    </fieldset>
                                </div>

                                <div class="col-xs-12 col-lg-4">
                                    <fieldset>
                                        <h5><?php echo __('Container'); ?></h5>
                                        <div class="form-group smart-form">
                                            <select
                                                    id="container"
                                                    data-placeholder="<?php echo __('Filter by container'); ?>"
                                                    class="form-control"
                                                    chosen="containers"
                                                    multiple
                                                    ng-options="container.key as container.value for container in containers"
                                                    ng-model="filter.Hosts.container_id"
                                                    ng-model-options="{debounce: 500}">
                                            </select>
                                        </div>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox"
                                                   id="statusFilterRecursiveContainer"
                                                   class="custom-control-input"
                                                   name="checkbox"
                                                   checked="checked"
                                                   ng-model="filter.recursive"
                                                   ng-model-options="{debounce: 500}">
                                            <label class="custom-control-label custom-control-label-primary"
                                                   for="statusFilterRecursiveContainer"><?= __('Recursive'); ?></label>
                                        </div>
                                    </fieldset>
                                </div>

                            </div>

                            <div class="float-right">
                                <button type="button" ng-click="resetFilter()"
                                        class="btn btn-xs btn-danger">
                                    <?php echo __('Reset Filter'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- End Filter -->

                    <div class="frame-wrap">
                        <div class="row padding-bottom-10">
                            <div class="col-12 text-right">
                                <div class="custom-control custom-checkbox custom-control-inline">
                                    <input type="checkbox" class="custom-control-input"
                                           ng-model="groupedView"
                                           checked="checked"
                                           ng-true-value="1" ng-false-value="0"
                                           id="groupedViewOn">
                                    <label class="custom-control-label custom-control-label-success"
                                           for="groupedViewOn">
                                        <span class="badge font-sm fw-n" ng-hide="groupedView">
                                            <i class="fa-solid fa-folder-tree"></i>
                                            <?= __('Group view by host'); ?>
                                        </span>
                                        <span class="badge badge-success font-sm fw-n" ng-show="groupedView">
                                            <i class="fa-solid fa-folder-tree"></i>
                                            <?= __('Group view by host'); ?>
                                        </span>
                                    </label>
                                </div>
                            </div>
                        </div>

                        <table class="table table-striped m-0 table-bordered table-hover table-sm"
                               ng-if="groupedView === 0">
                            <thead>
                            <tr>
                                <th class="no-sort sorting_disabled width-15">
                                    <i class="fa fa-check-square"></i>
                                </th>

                                <th class="no-sort" ng-click="orderBy('Customalerts.state')">
                                    <i class="fa" ng-class="getSortClass('Customalerts.state')"></i>
                                    <?= __('State'); ?>
                                </th>

                                <th class="no-sort col-1" ng-click="orderBy('Containers.name')">
                                    <i class="fa" ng-class="getSortClass('Containers.name')"></i>
                                    <?= __('Container'); ?>
                                </th>


                                <th class="no-sort" ng-click="orderBy('Hosts.name')">
                                    <i class="fa" ng-class="getSortClass('Hosts.name')"></i>
                                    <?= __('Host'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('servicename')">
                                    <i class="fa" ng-class="getSortClass('servicename')"></i>
                                    <?= __('Service'); ?>
                                </th>

                                <th class="no-sort col-3" ng-click="orderBy('Customalerts.message')">
                                    <i class="fa" ng-class="getSortClass('Customalerts.message')"></i>
                                    <?= __('Message'); ?>
                                </th>

                                <th class="no-sort col-3" ng-click="orderBy('CustomalertComments.comment')">
                                    <i class="fa" ng-class="getSortClass('CustomalertComments.comment')"></i>
                                    <?= __('Annotation'); ?>
                                </th>

                                <th class="width-90">
                                    <i class="fa-solid fa-triangle-exclamation text-danger"></i>
                                    <?= __('last 24h'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('Customalerts.created')">
                                    <i class="fa" ng-class="getSortClass('Customalerts.created')"></i>
                                    <?= __('Created'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('Customalerts.modified')">
                                    <i class="fa" ng-class="getSortClass('Customalerts.modified')"></i>
                                    <?= __('Modified'); ?>
                                </th>

                                <th class="no-sort text-center editItemWidth">
                                    <i class="fa fa-gear fa-lg"></i>
                                </th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr ng-repeat="(key, customalert) in customalerts">
                                <td class="text-center" class="width-15">
                                    <?php if ($this->Acl->hasPermission('annotate', 'Customalerts', 'CustomalertModule')): ?>
                                        <input type="checkbox"
                                               ng-model="massChange[customalert.id]">
                                    <?php endif; ?>
                                </td>
                                <td class="text-center">
                                    <span ng-switch="customalert.state">
                                        <i class="fa-solid fa-fire-flame-curved flame" ng-switch-when="0"></i>
                                        <i class="fa-solid fa-person-digging text-secondary"
                                           ng-switch-when="1"></i>
                                        <i class="fa-solid fa-clipboard-check text-success"
                                           ng-switch-when="2"></i>
                                         <i class="fa-solid fa-folder-closed color-primary-900"
                                            ng-switch-when="3"></i>
                                    </span>
                                </td>
                                <td>
                                    <span title="{{customalert.service.primary_container}}">
                                        {{ customalert.service.container }}
                                    </span>
                                </td>
                                <td>
                                    <?php if ($this->Acl->hasPermission('browser', 'hosts')): ?>
                                        <a ui-sref="HostsBrowser({id:customalert.service.host.id})">
                                            {{ customalert.service.host.name }}
                                        </a>
                                    <?php else: ?>
                                        {{ customalert.service.host.name }}
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if ($this->Acl->hasPermission('browser', 'services')): ?>
                                        <a ui-sref="ServicesBrowser({id:customalert.service.id})">
                                            {{ customalert.servicename }}
                                        </a>
                                    <?php else: ?>
                                        {{ customalert.servicename }}
                                    <?php endif; ?>
                                </td>

                                <td class="word-break">
                                    {{ customalert.message }}
                                </td>
                                <td class="word-break">
                                    <span class="text-info">{{customalert.CustomalertComments.entry_time}}</span>
                                    {{customalert.CustomalertComments.comment}}
                                </td>
                                <td class="text-center">
                                    <span ng-show="customalert.last24hoursAlerts"
                                          ng-class="{'text-danger': customalert.last24hoursAlerts > 1}">
                                        {{customalert.last24hoursAlerts}}
                                    </span>
                                    <span ng-hide="customalert.last24hoursAlerts" class="text-success">
                                        0
                                    </span>
                                </td>
                                <td title="{{customalert.created}}">
                                    {{ customalert.createdInHumanShort }}
                                </td>
                                <td title="{{customalert.modified}}">
                                    {{ customalert.modifiedInHumanShort }}
                                </td>
                                <td class="width-50">
                                    <div class="btn-group btn-group-xs" role="group">
                                        <?php if ($this->Acl->hasPermission('annotate', 'Customalerts', 'CustomalertModule')): ?>
                                            <a ng-click="confirmAnnotate(getObjectForAnnotate(customalert))"
                                               href="javascript:void(0);"
                                               class="btn btn-default btn-lower-padding">
                                                <i class="fa-solid fa-comment"></i>
                                            </a>
                                        <?php else: ?>
                                            <a href="javascript:void(0);"
                                               class="btn btn-default btn-lower-padding disabled">
                                                <i class="fa-solid fa-comment"></i></a>
                                        <?php endif; ?>
                                        <button type="button"
                                                class="btn btn-default dropdown-toggle btn-lower-padding"
                                                data-toggle="dropdown">
                                            <i class="caret"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right">
                                            <?php if ($this->Acl->hasPermission('annotate', 'Customalerts', 'CustomalertModule')): ?>
                                                <a ng-click="confirmAnnotate(getObjectForAnnotate(customalert))"
                                                   href="javascript:void(0);"
                                                   class="dropdown-item">
                                                    <i class="fa-solid fa-comment"></i>
                                                    <?php echo __('Annotate'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('close', 'Customalerts', 'CustomalertModule')): ?>
                                                <a ng-click="confirmClose(getObjectForAnnotate(customalert))"
                                                   href="javascript:void(0);"
                                                   ng-show="customalert.state < 2"
                                                   class="dropdown-item">
                                                    <i class="fa-solid fa-folder-closed"></i>
                                                    <?php echo __('Close manually'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('history', 'Customalerts', 'CustomalertModule')): ?>
                                                <a ui-sref="CustomalertsHistory({id: customalert.id})"
                                                   class="dropdown-item">
                                                    <i class="fa-solid fa-clock-rotate-left"></i>
                                                    <?php echo __('History'); ?>
                                                </a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>


                        <table class="table table-striped m-0 table-bordered table-hover table-sm"
                               ng-if="groupedView === 1">
                            <thead>
                            <tr>
                                <th class="no-sort" ng-click="orderBy('Hosts.name')">
                                    <i class="fa" ng-class="getSortClass('Hosts.name')"></i>
                                    <?= __('Host'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('Customalerts.state')">
                                    <i class="fa" ng-class="getSortClass('Customalerts.state')"></i>
                                    <?= __('State'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('servicename')">
                                    <i class="fa" ng-class="getSortClass('servicename')"></i>
                                    <?= __('Service'); ?>
                                </th>

                                <th class="no-sort col-3" ng-click="orderBy('Customalerts.message')">
                                    <i class="fa" ng-class="getSortClass('Customalerts.message')"></i>
                                    <?= __('Message'); ?>
                                </th>

                                <th class="no-sort col-3" ng-click="orderBy('CustomalertComments.comment')">
                                    <i class="fa" ng-class="getSortClass('CustomalertComments.comment')"></i>
                                    <?= __('Annotation'); ?>
                                </th>

                                <th class="width-90">
                                    <i class="fa-solid fa-triangle-exclamation text-danger"></i>
                                    <?= __('last 24h'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('Customalerts.created')">
                                    <i class="fa" ng-class="getSortClass('Customalerts.created')"></i>
                                    <?= __('Created'); ?>
                                </th>

                                <th class="no-sort" ng-click="orderBy('Customalerts.modified')">
                                    <i class="fa" ng-class="getSortClass('Customalerts.modified')"></i>
                                    <?= __('Modified'); ?>
                                </th>

                                <th class="no-sort text-center editItemWidth">
                                    <i class="fa fa-gear fa-lg"></i>
                                </th>
                            </tr>
                            </thead>

                            <thead ng-repeat-start="customalertGroupByHost in customalertsGrouped">
                            <tr>
                                <td colspan="10">
                                    <i class="fa-solid fa-display"></i>
                                    <?php if ($this->Acl->hasPermission('browser', 'hosts')): ?>
                                        <a ui-sref="HostsBrowser({id:customalertGroupByHost.host.id})">
                                            {{ customalertGroupByHost.host.name }}
                                        </a>
                                    <?php else: ?>
                                        {{ customalertGroupByHost.host.name }}
                                    <?php endif; ?>
                                    <span class="badge border border-info text-info margin-left-10"
                                          title="<?= __('Container'); ?>">
                                        /{{ customalertGroupByHost.host.primary_container }}
                                    </span>

                                </td>
                            </tr>
                            </thead>
                            <tbody ng-repeat-end="">
                            <tr ng-repeat="(key, customalert) in customalertGroupByHost.customalerts">
                                <td class="text-center" class="width-15">
                                    <?php if ($this->Acl->hasPermission('annotate', 'Customalerts', 'CustomalertModule')): ?>
                                        <input type="checkbox"
                                               ng-model="massChange[customalert.id]">
                                    <?php endif; ?>
                                </td>
                                <td class="text-center">
                                        <span ng-switch="customalert.state">
                                            <i class="fa-solid fa-fire-flame-curved flame" ng-switch-when="0"></i>
                                            <i class="fa-solid fa-person-digging text-secondary"
                                               ng-switch-when="1"></i>
                                            <i class="fa-solid fa-clipboard-check text-success"
                                               ng-switch-when="2"></i>
                                             <i class="fa-solid fa-folder-closed color-primary-900"
                                                ng-switch-when="3"></i>
                                        </span>
                                </td>
                                <td>
                                    <?php if ($this->Acl->hasPermission('browser', 'services')): ?>
                                        <a ui-sref="ServicesBrowser({id:customalert.service.id})">
                                            {{ customalert.servicename }}
                                        </a>
                                    <?php else: ?>
                                        {{ customalert.servicename }}
                                    <?php endif; ?>
                                </td>

                                <td class="word-break">
                                    {{ customalert.message }}
                                </td>
                                <td class="word-break">
                                    <span class="text-info">{{customalert.CustomalertComments.entry_time}}</span>
                                    {{customalert.CustomalertComments.comment}}
                                </td>
                                <td class="text-center">
                                        <span ng-show="customalert.last24hoursAlerts"
                                              ng-class="{'text-danger': customalert.last24hoursAlerts > 1}">
                                            {{customalert.last24hoursAlerts}}
                                        </span>
                                    <span ng-hide="customalert.last24hoursAlerts" class="text-success">
                                            0
                                        </span>
                                </td>
                                <td title="{{customalert.created}}">
                                    {{ customalert.createdInHumanShort }}
                                </td>
                                <td title="{{customalert.modified}}">
                                    {{ customalert.modifiedInHumanShort }}
                                </td>
                                <td class="width-50">
                                    <div class="btn-group btn-group-xs" role="group">
                                        <?php if ($this->Acl->hasPermission('annotate', 'Customalerts', 'CustomalertModule')): ?>
                                            <a ng-click="confirmAnnotate(getObjectForAnnotate(customalert))"
                                               href="javascript:void(0);"
                                               class="btn btn-default btn-lower-padding">
                                                <i class="fa-solid fa-comment"></i>
                                            </a>
                                        <?php else: ?>
                                            <a href="javascript:void(0);"
                                               class="btn btn-default btn-lower-padding disabled">
                                                <i class="fa-solid fa-comment"></i></a>
                                        <?php endif; ?>
                                        <button type="button"
                                                class="btn btn-default dropdown-toggle btn-lower-padding"
                                                data-toggle="dropdown">
                                            <i class="caret"></i>
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right">
                                            <?php if ($this->Acl->hasPermission('annotate', 'Customalerts', 'CustomalertModule')): ?>
                                                <a ng-click="confirmAnnotate(getObjectForAnnotate(customalert))"
                                                   href="javascript:void(0);"
                                                   class="dropdown-item">
                                                    <i class="fa-solid fa-comment"></i>
                                                    <?php echo __('Annotate'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('close', 'Customalerts', 'CustomalertModule')): ?>
                                                <a ng-click="confirmClose(getObjectForAnnotate(customalert))"
                                                   href="javascript:void(0);"
                                                   ng-show="customalert.state < 2"
                                                   class="dropdown-item">
                                                    <i class="fa-solid fa-folder-closed"></i>
                                                    <?php echo __('Close manually'); ?>
                                                </a>
                                            <?php endif; ?>
                                            <?php if ($this->Acl->hasPermission('history', 'Customalerts', 'CustomalertModule')): ?>
                                                <a ui-sref="CustomalertsHistory({id: customalert.id})"
                                                   class="dropdown-item">
                                                    <i class="fa-solid fa-clock-rotate-left"></i>
                                                    <?php echo __('History'); ?>
                                                </a>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="margin-top-10" ng-show="customalerts.length == 0">
                            <div class="text-center text-danger italic">
                                <?php echo __('No entries match the selection'); ?>
                            </div>
                        </div>
                        <div class="row margin-top-10 margin-bottom-10">
                            <div class="col-xs-12 col-md-2 text-muted text-center">
                                <span ng-show="selectedElements > 0">({{selectedElements}})</span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="selectAll()" class="pointer">
                                    <i class="fas fa-lg fa-check-square"></i>
                                    <?php echo __('Select all'); ?>
                                </span>
                            </div>
                            <div class="col-xs-12 col-md-2">
                                <span ng-click="undoSelection()" class="pointer">
                                    <i class="fas fa-lg fa-square"></i>
                                    <?php echo __('Undo selection'); ?>
                                </span>
                            </div>
                            <?php if ($this->Acl->hasPermission('annotate', 'Customalerts', 'CustomalertModule')): ?>
                                <div class="col-xs-12 col-md-2 text-primary">
                                    <span ng-click="confirmAnnotate(getObjectsForAnnotate())" class="pointer">
                                        <i class="fa-solid fa-comment"></i>
                                        <?php echo __('Annotate selected'); ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                            <?php if ($this->Acl->hasPermission('close', 'Customalerts', 'CustomalertModule')): ?>
                                <div class="col-xs-12 col-md-2 color-primary-900">
                                    <span ng-click="confirmClose(getObjectsForClose())" class="pointer">
                                        <i class="fa-solid fa-folder-closed"></i>
                                        <?php echo __('Close selected manually'); ?>
                                    </span>
                                </div>
                            <?php endif; ?>
                        </div>
                        <scroll scroll="scroll" click-action="changepage" ng-if="scroll"></scroll>
                        <paginator paging="paging" click-action="changepage" ng-if="paging"></paginator>
                        <?php echo $this->element('paginator_or_scroll'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
