<div id="angularMassAnnotate" class="modal" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content" ng-init="errorMessage=
            {comment : '<?= __('This field cannot be left empty'); ?>'}">
            <div class="modal-header bg-primary txt-color-white">
                <h5 class="modal-title">
                    <i class="fa-solid fa-comments"></i>
                    <?= __('Annotation'); ?>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fa fa-times"></i></span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row alert alert-warning alert-dismissible fade show padding-2"
                     ng-show="(objects | json) === '{}'">
                    <div class="col-lg-12">
                        <div class="d-flex align-items-center">
                            <div class="alert-icon width-6">
                                <span class="icon-stack icon-stack-md">
                                    <i class="base base-2 icon-stack-3x opacity-100 color-warning-700"></i>
                                    <i class="base base-10 icon-stack-2x opacity-100 color-white"></i>
                                    <i class="far fa-exclamation icon-stack-1x opacity-100 color-warning-900"></i>
                                </span>
                            </div>
                            <div class="flex-1">
                            <span class="h6">
                                <?= __('Warning'); ?>
                            </span>
                                <br>
                                <?= __('No items are selected for annotations!'); ?>
                            </div>
                        </div>
                    </div>

                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <?= __('Do you want annotate the selected objects?'); ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12 margin-top-10">
                        <ul>
                            <li ng-repeat="(id, object) in objects" class="word-break">
                                {{ object.name }}
                                <div class="text-primary" ng-repeat="issue in issueObjects[id]">
                                    <i class="fa fa-times"></i>
                                    <a class="text-primary" href="{{issue.url}}">
                                        {{issue.message}}
                                    </a>
                                </div>
                            </li>
                        </ul>
                        <textarea class="form-control" rows="4"
                                  ng-class="{'is-invalid': CustomalertComment.comment.length > 1024}"
                                  ng-disabled="(objects | json) === '{}'"
                                  placeholder="<?= __('Add comment'); ?>"
                                  ng-model="CustomalertComment.comment">
                            {{CustomalertComment.comment | limitTo: 1024 }}
                        </textarea>
                        <div ng-repeat="error in errors.comment">
                            <div class="help-block text-danger">{{ error }}</div>
                        </div>
                        <div class="help-block" ng-class="{'text-danger': CustomalertComment.comment.length > 1024}">
                            <?= __('The maximum length for this field is 1024.'); ?>
                            <?= __(' Characters available: '); ?>
                            <code>
                                {{(1024 - CustomalertComment.comment.length) < 0 ? 0 : 1024 - CustomalertComment.comment.length}}
                            </code>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-12 margin-top-10" ng-show="loadingHoststate">
                        <i class="fa-solid fa-spinner fa-spin"></i>
                        <?= __('Determining host state...'); ?>
                    </div>
                    <div class="col-lg-12 margin-top-10 text-success" ng-show="!loadingHoststate && allHostsUp">
                        <i class="fa-regular fa-circle-check"></i>
                        <?= __('All hosts are Up.'); ?>
                    </div>
                    <div class="col-lg-12 margin-top-10" ng-show="!loadingHoststate && !allHostsUp">
                        <div class="w-100 text-danger">
                            <i class="fa-solid fa-circle-exclamation"></i>
                            <?= __('At least one host is down or unreachable.'); ?>
                        </div>
                        <div class="w-100">
                            <div class="custom-control custom-checkbox margin-left-10 margin-top-10">
                                <input type="checkbox"
                                       id="annotationAsAcknowledgement"
                                       class="custom-control-input"
                                       name="checkbox"
                                       checked="checked"
                                       ng-model="setAnnotationAsAcknowledgement">
                                <label class="custom-control-label"
                                       for="annotationAsAcknowledgement"><?php echo __('Set annotation comment as host acknowledgement'); ?></label>
                            </div>
                        </div>

                    </div>
                </div>

                <div class="row">
                    <div class="col-lg-12 margin-top-10" ng-show="isAnnotated">
                        <h4><?php echo __('Annotating...'); ?></h4>
                    </div>
                    <div class="col-lg-12 margin-top-10" ng-show="isAnnotated">
                        <div class="progress progress-striped active">
                            <div class="progress-bar bg-primary" style="width: {{percentage}}%"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary txt-color-white"
                        ng-click="annotate()" ng-disabled="(objects | json) === '{}'">
                    <?= __('Annotate'); ?>
                </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    <?= __('Cancel'); ?>
                </button>
            </div>
        </div>
    </div>
</div>
