<div id="angularMassClose" class="modal" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content" ng-init="errorMessage=
            {comment : '<?= __('This field cannot be left empty'); ?>'}">
            <div class="modal-header bg-primary-900 txt-color-white">
                <h5 class="modal-title">
                    <i class="fa-solid fa-folder-closed"></i>
                    <?= __('Close manually'); ?>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fa fa-times"></i></span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row alert alert-warning alert-dismissible fade show padding-2"
                     ng-show="(objects | json) === '{}'">
                    <div class="col-lg-12">
                        <div class="d-flex align-items-center">
                            <div class="alert-icon width-6">
                                <span class="icon-stack icon-stack-md">
                                    <i class="base base-2 icon-stack-3x opacity-100 color-warning-700"></i>
                                    <i class="base base-10 icon-stack-2x opacity-100 color-white"></i>
                                    <i class="far fa-exclamation icon-stack-1x opacity-100 color-warning-900"></i>
                                </span>
                            </div>
                            <div class="flex-1">
                            <span class="h6">
                                <?= __('Warning'); ?>
                            </span>
                                <br>
                                <?= __('No items have been selected to close!'); ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row alert alert-info bg-primary-100 alert-dismissible fade show padding-2">
                    <div class="col-lg-12">
                        <div class="d-flex align-items-center">
                            <div class="alert-icon width-6">
                                <span class="icon-stack icon-stack-md">
                                    <i class="base base-7 icon-stack-3x opacity-100 color-primary-700"></i>
                                    <i class="base base-7 icon-stack-2x opacity-100 color-primary-900"></i>
                                    <i class="ni ni-info icon-stack-1x opacity-100 color-white"></i>
                                </span>
                            </div>
                            <div class="flex-1">
                            <span class="h6">
                                <?= __('Information'); ?>
                            </span>
                                <br>
                                <?= __('Only custom notifications with a status of "{0}" or "{1}" can be closed. Custom notifications with a different status are automatically removed from the selection.',
                                '<i class="fa-solid fa-fire-flame-curved flame"></i> '.__('New'),
                                    '<i class="fa-solid fa-person-digging text-secondary"></i> '.__('In progress')); ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xs-12">
                        <?= __('Do you want close the selected objects?'); ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12 margin-top-10">
                        <ul>
                            <li ng-repeat="(id, object) in objects" class="word-break">
                                {{ object }}
                                <div class="text-primary" ng-repeat="issue in issueObjects[id]">
                                    <i class="fa fa-times"></i>
                                    <a class="text-primary" href="{{issue.url}}">
                                        {{issue.message}}
                                    </a>
                                </div>
                            </li>
                        </ul>
                        <textarea class="form-control" rows="4"
                                  ng-class="{'is-invalid': CustomalertComment.comment.length > 1024}"
                                  ng-disabled="(objects | json) === '{}'"
                                  placeholder="<?= __('Add comment'); ?>"
                                  ng-model="CustomalertComment.comment">
                            {{CustomalertComment.comment | limitTo: 1024 }}
                        </textarea>
                        <div ng-repeat="error in errors.comment">
                            <div class="help-block text-danger">{{ error }}</div>
                        </div>
                        <div class="help-block" ng-class="{'text-danger': CustomalertComment.comment.length > 1024}">
                            <?= __('The maximum length for this field is 1024.'); ?>
                            <?= __(' Characters available: '); ?>
                            <code>
                                {{(1024 - CustomalertComment.comment.length) < 0 ? 0 : 1024 - CustomalertComment.comment.length}}
                            </code>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12 margin-top-10" ng-show="isClosed">
                        <h4><?php echo __('Closing...'); ?></h4>
                    </div>
                    <div class="col-lg-12 margin-top-10" ng-show="isClosed">
                        <div class="progress progress-striped active">
                            <div class="progress-bar bg-primary" style="width: {{percentage}}%"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary txt-color-white"
                        ng-click="close()" ng-disabled="(objects | json) === '{}'">
                    <?= __('Close manually'); ?>
                </button>
                <button type="button" class="btn btn-default" data-dismiss="modal">
                    <?= __('Cancel'); ?>
                </button>
            </div>
        </div>
    </div>
</div>
