<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

?>


<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Custom alerts'); ?>
                    <span class="fw-300"><i><?php echo __('history'); ?></i></span>
                </h2>
                <div class="panel-toolbar">
                    <button class="btn btn-xs btn-default mr-1 shadow-0" ng-click="load()">
                        <i class="fas fa-sync"></i> <?php echo __('Refresh'); ?>
                    </button>
                </div>
            </div>
            <div class="panel-container show">
                <div class="panel-content">

                    <!-- Start Filter -->
                    <div class="list-filter card margin-bottom-10" ng-show="showFilter">
                        <div class="card-header">
                            <i class="fa fa-filter"></i> <?php echo __('Filter'); ?>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span
                                                        class="input-group-text filter-text"><?php echo __('From'); ?></span>
                                            </div>
                                            <input type="datetime-local" class="form-control form-control-sm"
                                                   style="padding:0.5rem 0.875rem;"
                                                   placeholder="<?php echo __('From date'); ?>"
                                                   ng-model="from_time"
                                                   ng-model-options="{debounce: 500, timeSecondsFormat:'ss', timeStripZeroSeconds: true}">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-xs-12 col-md-6 margin-bottom-10">
                                    <div class="form-group">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <span
                                                        class="input-group-text filter-text"><?php echo __('To'); ?></span>
                                            </div>
                                            <input type="datetime-local" class="form-control form-control-sm"
                                                   style="padding:0.5rem 0.875rem;"
                                                   placeholder="<?php echo __('To date'); ?>"
                                                   ng-model="to_time"
                                                   ng-model-options="{debounce: 500, timeSecondsFormat:'ss', timeStripZeroSeconds: true}">
                                        </div>
                                    </div>
                                </div>

                            </div>

                            <div class="float-right">
                                <button type="button" ng-click="resetFilter()"
                                        class="btn btn-xs btn-danger">
                                    <?php echo __('Reset Filter'); ?>
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- Filter End -->
                    <div class="frame-wrap">
                        <table class="table table-striped m-0 table-bordered table-hover table-sm">
                            <thead>
                            <th class="no-sort width-15">
                            </th>
                            <th class="no-sort" colspan="4">
                                <?= __('Message'); ?>
                            </th>
                            <th class="col-1">&nbsp;</th>
                            <th class="no-sort col-1">
                                <?= __('State since'); ?>
                            </th>

                            <th class="no-sort col-2">
                                <?= __('State time'); ?>
                            </th>

                            </thead>
                            <tbody>
                            <tr ng-repeat-start="historyRecord in history">
                                <td class="text-center">
                                    <i class="fa-solid fa-fire-flame-curved flame"></i>

                                </td>
                                <td colspan="4">
                                    <code>
                                        {{historyRecord.message}}
                                    </code>
                                </td>
                                <td></td>
                                <td>
                                    {{historyRecord.timeAgoInWords}}
                                </td>
                                <td>
                                    {{historyRecord.modified}}
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <th>
                                    <?= __('State'); ?>
                                </th>
                                <th colspan="3">
                                    <?= __('Annotation'); ?>
                                </th>
                                <th>
                                    <?= __('User'); ?>
                                </th>
                                <th class="col-1">
                                    <?= __('State time'); ?>
                                </th>
                            </tr>
                            <tr ng-repeat-end ng-repeat="customalert in historyRecord.customalert_statehistory">
                                <td></td>
                                <td class="text-center">
                                    <span ng-switch="customalert.state">
                                        <i class="fa-solid fa-fire-flame-curved flame" ng-switch-when="0"></i>
                                        <i class="fa-solid fa-person-digging text-secondary"
                                           ng-switch-when="1"></i>
                                        <i class="fa-solid fa-clipboard-check text-success"
                                           ng-switch-when="2"></i>
                                        <i class="fa-solid fa-folder-closed color-primary-900"
                                           ng-switch-when="3"></i>
                                    </span>
                                </td>
                                <td colspan="3">
                                    <span ng-show="customalert.state !== 2">
                                        {{customalert.customalert_comment.comment}}
                                    </span>
                                    <span ng-show="customalert.state === 2" class="text-success">
                                        <?= __('Automatically closed');?>
                                    </span>
                                </td>
                                <td>
                                    <span ng-if="customalert.state > 0">
                                        <?php if ($this->Acl->hasPermission('edit', 'users')): ?>
                                            <a ui-sref="UsersEdit({id: customalert.customalert_comment.user.id})">
                                            {{customalert.customalert_comment.user.firstname}}
                                            {{customalert.customalert_comment.user.lastname}}
                                        </a>
                                        <?php else: ?>
                                            {{customalert.customalert_comment.user.firstname}}
                                            {{customalert.customalert_comment.user.lastname}}
                                        <?php endif; ?>
                                    </span>
                                </td>
                                <td>{{customalert.timeAgoInWords}}</td>
                                <td>{{customalert.state_time}}</td>
                            </tr>
                            </tbody>
                        </table>
                        <div class="margin-top-10" ng-show="history.length == 0">
                            <div class="text-center text-danger italic">
                                <?php echo __('No entries match the selection'); ?>
                            </div>
                        </div>
                        <scroll scroll="scroll" click-action="changepage" ng-if="scroll"></scroll>
                        <paginator paging="paging" click-action="changepage" ng-if="paging"></paginator>
                        <?php echo $this->element('paginator_or_scroll'); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
