angular.module('openITCOCKPIT').directive('customalertsHistory', function($http, SortService){
    return {
        restrict: 'E',
        templateUrl: '/customalert_module/customalerts/service_history.html',
        scope: {
            'serviceId': '='
        },

        controller: function($scope){
            $scope.init = false;
            SortService.setSort('CustomalertStatehistory.state_time');
            SortService.setDirection('desc');

            $scope.currentPage = 1;
            $scope.useScroll = true;

            var now = new Date();

            /*** Filter Settings ***/
            var defaultFilter = function(){
                $scope.filter = {
                    CustomalertStatehistory: {
                        comment: '',
                        state: {
                            0: true,
                            1: true,
                            2: false
                        }
                    },
                    from: date('d.m.Y H:i', now.getTime() / 1000 - (3600 * 24 * 30)),
                    to: date('d.m.Y H:i', now.getTime() / 1000 + (3600 * 24))
                };
                var from = new Date(now.getTime() - (3600 * 24 * 30 * 1000));
                from.setSeconds(0);
                var to = new Date(now.getTime() + (3600 * 24 * 1000));
                to.setSeconds(0);
                $scope.from_time = from;
                $scope.to_time = to;
            };
            /*** Filter end ***/
            $scope.init = true;
            $scope.showFilter = false;

            $scope.load = function(){
                if($scope.$parent.selectedTab !== 'tab5'){
                    return;
                }
                var stateFilter = [];
                for(var key in $scope.filter.CustomalertStatehistory.state){
                    if($scope.filter.CustomalertStatehistory.state[key] === true){
                        stateFilter.push(key);
                    }
                }
                var params = {
                    'angular': true,
                    'scroll': $scope.useScroll,
                    'sort': SortService.getSort(),
                    'page': $scope.currentPage,
                    'direction': SortService.getDirection(),
                    'filter[from]': $scope.filter.from,
                    'filter[to]': $scope.filter.to
                };
                $http.get("/customalert_module/customalerts/service_history/" + $scope.serviceId + ".json", {
                        params: params
                    }
                ).then(function(result){
                    $scope.history = result.data.history;
                    $scope.paging = result.data.paging;
                    $scope.scroll = result.data.scroll;
                    $scope.init = false;
                });
            };

            $scope.triggerFilter = function(){
                $scope.showFilter = !$scope.showFilter === true;
            };

            $scope.resetFilter = function(){
                defaultFilter();
                $scope.undoSelection();
            };

            $scope.changepage = function(page){
                if(page !== $scope.currentPage){
                    $scope.currentPage = page;
                    $scope.load();
                }
            };

            $scope.changeMode = function(val){
                $scope.useScroll = val;
                $scope.load();
            };

            //Fire on page load
            defaultFilter();
            SortService.setCallback($scope.load);

            $scope.$watch('serviceId', function(){
                if($scope.serviceId != null && $scope.serviceId != ""){
                    $scope.load();
                    $scope.init = true;
                }
            }, true);

            $scope.$watch('filter', function(){
                if($scope.serviceId != null && $scope.serviceId != ""){
                    $scope.currentPage = 1;
                    $scope.load();
                }
            }, true);

            $scope.$parent.$watch('selectedTab', function(value){
                if(value !== 'tab5'){
                    return;
                }
                if($scope.serviceId != null && $scope.serviceId != ""){
                    $scope.load();
                    $scope.init = true;
                }
            });
            $scope.$watch('from_time', function(dateObject){
                if(dateObject !== undefined && dateObject instanceof Date){
                    var dateString = date('d.m.Y H:i', dateObject.getTime() / 1000);
                    $scope.filter.from = dateString;
                }
            });
            $scope.$watch('to_time', function(dateObject){
                if(dateObject !== undefined && dateObject instanceof Date){
                    var dateString = date('d.m.Y H:i', dateObject.getTime() / 1000);
                    $scope.filter.to = dateString;
                }
            });

        },

        link: function($scope, element, attr){

        }
    };
});
