angular.module('openITCOCKPIT').directive('massannotate', function($http, NotyService){
    return {
        restrict: 'E',
        replace: true,
        templateUrl: '/customalert_module/Customalerts/mass_annotate.html',

        controller: function($scope){

            $scope.objects = {};
            $scope.percentage = 0;
            $scope.isAnnotated = false;

            $scope.loadingHoststate = true;
            $scope.allHostsUp = false;

            $scope.setObjectsForMassAnnotate = function(objects){
                $scope.objects = objects;
                $scope.loadHoststatusForAnnotate();
            };

            $scope.canSubmitExternalCommands = false;
            $scope.setAnnotationAsAcknowledgement = false;

            $scope.loadHoststatusForAnnotate = function(){
                //Always reset to "page load" defaults - otherwise the checkbox keeps ticket, even if all hosts are up
                $scope.setAnnotationAsAcknowledgement = false;
                $scope.loadingHoststate = true;
                $scope.allHostsUp = false;

                var tmpHostIds = {};
                for(var key in $scope.objects){
                    var hostId = $scope.objects[key].host_id;

                    // get a unique list of host ids
                    tmpHostIds[hostId] = hostId;
                }

                var hostIds = Object.keys(tmpHostIds);

                if(hostIds.length > 0){
                    var data = {
                        hostIds: hostIds
                    };
                    $http.post("/customalert_module/Customalerts/checkHoststatusForAcknowledgements.json", data, {
                        params: {
                            'angular': true,
                        }
                    }).then(function(result){
                        $scope.canSubmitExternalCommands = result.data.canSubmitExternalCommands;
                        $scope.nonUpHosts = result.data.all_hosts;
                        $scope.allHostsUp = $scope.nonUpHosts.length === 0;
                        $scope.loadingHoststate = false;
                    });
                }else{
                    // No objects selected
                    $scope.nonUpHosts = [];
                    $scope.allHostsUp = true;
                    $scope.loadingHoststate = false;
                }

            }

            $scope.issueObjects = {};

            $scope.annotate = function(){
                $scope.isAnnotated = true;
                var count = Object.keys($scope.objects).length;
                var i = 0;
                var issueCount = 0;
                $scope.errors = {};
                if(count === 0){
                    return false;
                }
                if($scope.CustomalertComment.comment === '' || $scope.CustomalertComment.comment === null){
                    $scope.errors = {
                        comment: {_empty: $scope.errorMessage.comment}

                    };
                    return false;
                }
                for(var id in $scope.objects){
                    $http.post($scope.annotateUrl + id + ".json",
                        $scope.CustomalertComment,
                        {
                            params: {
                                angular: true,
                                setAnnotationAsAcknowledgement: $scope.setAnnotationAsAcknowledgement
                            }
                        }
                    )
                        .then(function(result){
                            i++;
                            $scope.percentage = Math.round(i / count * 100);
                            issueCount = Object.keys($scope.issueObjects).length;

                            if(i === count && issueCount === 0){
                                $scope.isAnnotated = false;
                                $scope.percentage = 0;
                                $scope.load();
                                $('#angularMassAnnotate').modal('hide');
                            }
                        }, function errorCallback(result){
                            NotyService.genericError();

                            if(result.data.hasOwnProperty('error')){
                                $scope.errors = result.data.error;
                            }
                            i++;
                            $scope.percentage = Math.round(i / count * 100);

                            issueCount = Object.keys($scope.issueObjects).length;
                            if(i === count && issueCount > 0){
                                $scope.isAnnotated = false;
                                $scope.percentage = 0;
                                $scope.load();
                            }
                        });
                }
            };
            $('#angularMassAnnotate').on('hidden.bs.modal', function(){
                $scope.CustomalertComment.comment = null;
                $scope.errors = {};
            });
        },

        link: function($scope, element, attr){
            $scope.confirmAnnotate = function(objects){
                $scope.setObjectsForMassAnnotate(objects);
                $('#angularMassAnnotate').modal('show');
            };
        }
    };
});
