angular.module('openITCOCKPIT').directive('massclose', function($http, NotyService){
    return {
        restrict: 'E',
        replace: true,
        templateUrl: '/customalert_module/Customalerts/mass_close.html',

        controller: function($scope){

            $scope.objects = {};
            $scope.percentage = 0;
            $scope.isClosed = false;

            $scope.setObjectsForMassClose = function(objects){
                $scope.objects = objects;
            };

            $scope.issueObjects = {};

            $scope.close = function(){
                $scope.isClosed = true;
                var count = Object.keys($scope.objects).length;
                var i = 0;
                var issueCount = 0;
                $scope.errors = {};
                if(count === 0){
                    return false;
                }
                if($scope.CustomalertComment.comment === '' || $scope.CustomalertComment.comment === null){
                    $scope.errors = {
                        comment: {_empty: $scope.errorMessage.comment}

                    };
                    return false;
                }
                for(var id in $scope.objects){
                    $http.post($scope.closeUrl + id + ".json?angular=true",
                        $scope.CustomalertComment
                    )
                        .then(function(result){
                            i++;
                            $scope.percentage = Math.round(i / count * 100);
                            issueCount = Object.keys($scope.issueObjects).length;

                            if(i === count && issueCount === 0){
                                $scope.isClosed = false;
                                $scope.percentage = 0;
                                $scope.load();
                                $('#angularMassClose').modal('hide');
                            }
                        }, function errorCallback(result){
                            NotyService.genericError();

                            if(result.data.hasOwnProperty('error')){
                                $scope.errors = result.data.error;
                            }
                            i++;
                            $scope.percentage = Math.round(i / count * 100);

                            issueCount = Object.keys($scope.issueObjects).length;
                            if(i === count && issueCount > 0){
                                $scope.isClosed = false;
                                $scope.percentage = 0;
                                $scope.load();
                            }
                        });
                }
            };
            $('#angularMassClose').on('hidden.bs.modal', function(){
                $scope.CustomalertComment.comment = null;
                $scope.errors = {};
            });
        },

        link: function($scope, element, attr){
            $scope.confirmClose = function(objects){
                $scope.setObjectsForMassClose(objects);
                $('#angularMassClose').modal('show');
            };
        }
    };
});
